/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... GPT
* FILENAME...... gpt_cfgB.c
* DATE CREATED.. Sun 02/10/2002 
* PROJECT....... Chip Support Library
* COMPONENT..... 
* IMPORTS....... 
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:  02/10/2002 Created for C6x
*   MODIFIED : 03/12/2003 changed structure member names
*------------------------------------------------------------------------------
* DESCRIPTION:  (body file for the 5502 General Purpose Timer module)
*
*
*
\******************************************************************************/
#define _GPT_MOD_

/****************************************\
* include files
\****************************************/    

#include <csl_gpt.h>
   

#if (_GPT_SUPPORT)
/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* GPT global variable definitions
\****************************************/
/* Definition See csl_gpt.h */
/*----------------------------------------------------------------------------*/
/* DSP/BIOS symbols that CSL needs to check to see what if any timer devices  */
/* are in use by BIOS. These symbols will e defined in the BIOS linker        */
/* command file generated by gconf.                                           */
/* See C6xx */
             
/****************************************\
* GPT global function definitions
\****************************************/

#pragma CODE_SECTION(GPT_configArgs,".text:GPT_configArgs")

/*----------------------------------------------------------------------------*/
void GPT_configArgs(GPT_Handle hGpt, Uint16 gptemu, 
            Uint16 gptprd1,Uint16 gptprd2,Uint16 gptprd3,Uint16 gptprd4,
            Uint16 gptgpint,Uint16 gptgpen,Uint16 gptgpdir,Uint16 gptgpdat,
            Uint16 gptctl1,Uint16 gptctl2,Uint16 gptgctl1) {
  int oldgie;
  ioport GPT_RegObj *regPtr = ((GPT_PrivateObj *)hGpt)->regs;
  
  GPT_ASSERT_HANDLE(hGpt,return);
   
  oldgie = IRQ_globalDisable(); 
  
 

   (regPtr->gptgctl1) = 0x0000u;
   (regPtr->gptgpint) = gptgpint;
   (regPtr->gptgpen) = gptgpen;
   (regPtr->gptgpdir) = gptgpdir;
   (regPtr->gptgpdat) = gptgpdat;
   (regPtr->gptprd1) = gptprd1;
   (regPtr->gptprd2) = gptprd2;
   (regPtr->gptprd3) = gptprd3;
   (regPtr->gptprd4) = gptprd4;
   (regPtr->gptctl1) = gptctl1;
   (regPtr->gptctl2) = gptctl2;
   (regPtr->gptgctl1) = gptgctl1;  

  
  IRQ_globalRestore(oldgie); 
}

/*----------------------------------------------------------------------------*/

#endif /* GPT_SUPPORT */
/******************************************************************************\
* End of gpt_cfgb.c
\******************************************************************************/

