/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... GPT
* FILENAME...... gpt_gcfg.c
* DATE CREATED.. Sun 02/10/2002
* PROJECT....... CSL - Chip Support Library
* COMPONENT..... 
* IMPORTS....... 
*------------------------------------------------------------------------------
* HISTORY:
*    CREATED:   02/10/2002
*   MODIFIED : 03/12/2003 changed structure member names
*------------------------------------------------------------------------------
* DESCRIPTION:  (body file for the 5502 General Purpose Timer module)
*
*
*
\******************************************************************************/
#define _GPT_MOD_

/****************************************\
* include files
\****************************************/    
#include "csl_irq.h"
#include "csl_chip.h"  
#include "csl.h"      
#include "csl_gpt.h"
   
 
#if (_GPT_SUPPORT)
/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

             
/****************************************\
* GPT static function definitions
\****************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* GPT global variable definitions
\****************************************/
/* Definition See gpt.h */
/*----------------------------------------------------------------------------*/
/* DSP/BIOS symbols that CSL needs to check to see what if any timer devices  */
/* are in use by BIOS. These symbols will e defined in the BIOS linker        */
/* command file generated by gconf.                                           */
/* See C6xx */
             
/****************************************\
* GPT global function definitions
\****************************************/

#pragma CODE_SECTION(GPT_getConfig,".text:GPT_getConfig")

/*----------------------------------------------------------------------------*/
void GPT_getConfig(GPT_Handle hGpt, GPT_Config *Config) {
  int oldgie;
  ioport GPT_RegObj *regPtr = ((GPT_PrivateObj *)hGpt)->regs;
  GPT_ASSERT_HANDLE(hGpt,return);

    oldgie = IRQ_globalDisable();  
  
  Config->gptemu  =  (regPtr->gptemu);
  Config->gptgpint =  (regPtr->gptgpint);
  Config->gptgpen =  (regPtr->gptgpen);
  Config->gptgpdir =  (regPtr->gptgpdir);
  Config->gptgpdat =  (regPtr->gptgpdat);
  Config->gptprd1 =  (regPtr->gptprd1);
  Config->gptprd2 =  (regPtr->gptprd2);
  Config->gptprd3 =  (regPtr->gptprd3);
  Config->gptprd4 =  (regPtr->gptprd4);
  Config->gptctl1 =  (regPtr->gptctl1);
  Config->gptctl2 =  (regPtr->gptctl2);
  Config->gptgctl1 =  (regPtr->gptgctl1); 
  IRQ_globalRestore(oldgie); 
 
}
/*----------------------------------------------------------------------------*/

#endif /* GPT_SUPPORT */
/******************************************************************************\
* End of gpt_gcfg.c
\******************************************************************************/

