/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... GPT
* FILENAME...... gpt_gcnt.c
* DATE CREATED.. Sun 02/10/2002 
* PROJECT....... Chip Support Library
* COMPONENT..... 
* IMPORTS....... 
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:  02/10/2002 
*------------------------------------------------------------------------------
* DESCRIPTION:  (Get snapshot of Timer counter (5502))
*
*
*
\******************************************************************************/
#define _GPT_MOD_

/****************************************\
* include files
\****************************************/    
#include <csl_gpt.h>
   
 
#if (_GPT_SUPPORT)
/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* GPT global variable definitions
\****************************************/
/* Definition See csl_gpt.h */
/*----------------------------------------------------------------------------*/
/* DSP/BIOS symbols that CSL needs to check to see what if any timer devices  */
/* are in use by BIOS. These symbols will e defined in the BIOS linker        */
/* command file generated by gconf.                                           */
/* See C6xx */
             
/****************************************\
* GPT global function definitions
\****************************************/

#pragma CODE_SECTION(GPT_getCnt,".text:GPT_getCnt")

/*----------------------------------------------------------------------------*/
void GPT_getCnt (GPT_Handle hGpt, Uint32 *tim34, Uint32 *tim12) {
   ioport GPT_RegObj *regPtr = ((GPT_PrivateObj *)hGpt)->regs;
   Uint16 tim1,tim2,tim3,tim4;
   
   // Access TIM1 first to cause copy of tim2/3/4 to
   // shadow registers to preserve snapshot

   tim1 =  (regPtr->gptcnt1);  
   tim2 =  (regPtr->gptcnt2);
   tim3 =  (regPtr->gptcnt3);
   tim4 =  (regPtr->gptcnt4);

   *tim12 = ((Uint32)tim2 << 16u) | tim1;
   *tim34 = ((Uint32)tim4 << 16u) | tim3;
}
/*----------------------------------------------------------------------------*/

#endif /* GPT_SUPPORT */
/******************************************************************************\
* End of gpt_stop.c
\******************************************************************************/

