/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... GPT
* FILENAME...... gpt_init64.c
* DATE CREATED.. Sun 02/10/2002 
* PROJECT....... CSL - Chip Support Library
* COMPONENT..... 
* IMPORTS....... 
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:  02/10/2002 
*   MODIFIED : 03/12/2003 changed structure member names
*------------------------------------------------------------------------------
* DESCRIPTION:  (body file for initializing 64 bit mode
*                for 5502 general purpose timer)
*
*
\******************************************************************************/
#define _GPT_MOD_

/****************************************\
* include files
\****************************************/    

#include <csl_gpt.h>
   
 
#if (_GPT_SUPPORT)
/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

/****************************************\
* GPT static macro declarations
\****************************************/
/* See gpt.h Romability */
 
/****************************************\
* GPT static typedef declarations
\****************************************/

/****************************************\
* GPT static function declarations
\****************************************/

/****************************************\
* GPT Variable definitions : ROMability 
\****************************************/

/* Definition Romability See GPT.h */


             
/****************************************\
* TIMER static function definitions
\****************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* TIMER global variable definitions
\****************************************/
/* Definition See GPT.h */
/*----------------------------------------------------------------------------*/
/* DSP/BIOS symbols that CSL needs to check to see what if any timer devices  */
/* are in use by BIOS. These symbols will e defined in the BIOS linker        */
/* command file generated by gconf.                                           */
/* See C6xx */
             
/****************************************\
* TIMER global function definitions
\****************************************/

#pragma CODE_SECTION(GPT_init64,".text:GPT_init64")

/*----------------------------------------------------------------------------*/
void GPT_init64(GPT_Handle hGpt, Uint16 gptgctl, Uint16 dt12ctl, Uint32 prdHigh, Uint32 prdLow){
  int oldgie;
  
  ioport GPT_RegObj *regPtr = ((GPT_PrivateObj *)hGpt)->regs;

  GPT_ASSERT_HANDLE(hGpt,return);

    oldgie = IRQ_globalDisable();  
 
  (regPtr->gptgctl1) = 0x0000u;
  (regPtr->gptprd1) = prdLow;
  (regPtr->gptprd2) = prdHigh;
  (regPtr->gptctl1) = dt12ctl;
  (regPtr->gptgctl1) = GPT_FMK(GPTGCTL1,TIMMODE,0);  
  
  IRQ_globalRestore(oldgie); 
 
}
/*----------------------------------------------------------------------------*/

#endif /* GPT_SUPPORT */
/******************************************************************************\
* End of gpt_init64.c
\******************************************************************************/

