/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... GPT
* FILENAME...... gpt_start12.c
* DATE CREATED.. Sun 02/10/2002 
* PROJECT....... Chip Support Library
* COMPONENT..... 
* IMPORTS....... 
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:  02/10/2002 
*------------------------------------------------------------------------------
* DESCRIPTION:  (Starts Timer12 Operation - assumes timer is preconfigured)
*
*
*
\******************************************************************************/
#define _GPT_MOD_

/****************************************\
* include files
\****************************************/    

#include <csl_gpt.h>
   
 
#if (_GPT_SUPPORT)
/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* GPT global variable definitions
\****************************************/
/* Definition See csl_gpt.h */
/*----------------------------------------------------------------------------*/
/* DSP/BIOS symbols that CSL needs to check to see what if any timer devices  */
/* are in use by BIOS. These symbols will e defined in the BIOS linker        */
/* command file generated by gconf.                                           */
             
/****************************************\
* GPT global function definitions
\****************************************/

#pragma CODE_SECTION(GPT_start12,".text:GPT_start12")

/*----------------------------------------------------------------------------*/
void GPT_start12(GPT_Handle hGpt) {

  int oldgie;
  ioport GPT_RegObj *regPtr = ((GPT_PrivateObj *)hGpt)->regs; 

  oldgie = IRQ_globalDisable(); 
    
      /* Take Tim12  out of reset */

   (regPtr->gptgctl1) |= 0x1u;

  IRQ_globalRestore(oldgie);

}
/*----------------------------------------------------------------------------*/

#endif /* GPT_SUPPORT */
/******************************************************************************\
* End of gpt_start12.c
\******************************************************************************/

