/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... ICACHE
* FILENAME...... icache_cfga.c
* DATE CREATED.. Sun 06/20/1999 
* PROJECT....... CSL - Chip Support Library
* COMPONENT..... 
* IMPORTS....... 
*------------------------------------------------------------------------------
* HISTORY:
*   06/20/1999 (BWC)  Created for C6x
*   12/06/2000 (FSCA) Modification for C54x.
*   05/18/2000 (IC) Modified for C55xx.
*   04/24/2002 (IC) Modified for C5502.
*   10 April 2003   added #pragma CODE_SECTION
*------------------------------------------------------------------------------
* DESCRIPTION:  (body file for the ICACHE module)
*
*
*
\******************************************************************************/
#define _ICACHE_MOD_

/****************************************\
* include files
\****************************************/    
#include "csl_chip.h" 
#include "csl_icache.h" 
#include "csl.h"
   
 
#if (_ICACHE_SUPPORT)
/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

/****************************************\
* ICACHE static macro declarations
\****************************************/
/* See icache.h Romability */
 
 
/****************************************\
* ICACHE static typedef declarations
\****************************************/

/****************************************\
* ICACHE static function declarations
\****************************************/

/****************************************\
* ICACHE Variable definitions : ROMability 
\****************************************/

/* Definition Romability See icache.h */


             
/****************************************\
* ICACHE static function definitions
\****************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* ICACHE global variable definitions
\****************************************/
/* Definition See icache.h */
/*----------------------------------------------------------------------------*/
/* DSP/BIOS symbols that CSL needs to check to see what if any ICACHE devices  */
/* are in use by BIOS. These symbols will e defined in the BIOS linker        */
/* command file generated by gconf.                                           */
/* See C6xx */
             
/****************************************\
* ICACHE global function definitions
\****************************************/

#pragma CODE_SECTION(ICACHE_config,".text:ICACHE_config")

/*----------------------------------------------------------------------------*/
void ICACHE_config(ICACHE_Config *Config) {



	ICACHE_RSET(ICGC, Config -> icgc);  
        #if (CHIP_5510) | (CHIP_5510PG2_0)    
        ICACHE_RSET(ICWC, Config -> icwc);
        ICACHE_RSET(ICRC1, Config -> icrc1);
	ICACHE_RSET(ICRTAG1, Config -> icrtag1);
        ICACHE_RSET(ICRC2, Config -> icrc2);
        ICACHE_RSET(ICRTAG2, Config -> icrtag2);
       #endif /* CHIP_5510 */

}
/*----------------------------------------------------------------------------*/

#endif /* ICACHE_SUPPORT */
/******************************************************************************\
* End of icache_cfga.c
\******************************************************************************/

