/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... ICACHE
* FILENAME...... icache_ufrz.c
* DATE CREATED.. Mon 02/18/2002 
* PROJECT....... 
* COMPONENT..... 
* IMPORTS....... 
*------------------------------------------------------------------------------
* HISTORY:
*   02/18/2002 (IC)  Created for C55xx
*   04/23/2002 (IC)  Modified for C5502
*   10 Apri 2003     added #pragma CODE_SECTION
*------------------------------------------------------------------------------
* DESCRIPTION:  (body file for the ICACHE module)
*
*
*
\******************************************************************************/
#define _ICACHE_MOD_

/****************************************\
* include files
\****************************************/    
#include "csl_chip.h" 
#include "csl_icache.h" 
#include "csl.h"
   
 
#if (_ICACHE_SUPPORT)
/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

/****************************************\
* ICACHE static macro declarations
\****************************************/
/* See csl_icache.h Romability */
 
 
/****************************************\
* ICACHE static typedef declarations
\****************************************/

/****************************************\
* ICACHE static function declarations
\****************************************/

/****************************************\
* ICACHE Variable definitions : ROMability 
\****************************************/

/* Definition Romability See csl_icache.h */


             
/****************************************\
* ICACHE static function definitions
\****************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* ICACHE global variable definitions
\****************************************/
/* Definition See csl_icache.h */
/*----------------------------------------------------------------------------*/
/* DSP/BIOS symbols that CSL needs to check to see what if any ICACHE devices  */
/* are in use by BIOS. These symbols will e defined in the BIOS linker        */
/* command file generated by gconf.                                           */
/* See C6xx */
             
/****************************************\
* ICACHE global function definitions
\****************************************/

#pragma CODE_SECTION(ICACHE_unfreeze,".text:ICACHE_unfreeze")

/*----------------------------------------------------------------------------*/
   void ICACHE_unfreeze()  
{

	CHIP_FSET(ST3_55,CAFRZ,0);   

}
/*----------------------------------------------------------------------------*/

#endif /* ICACHE_SUPPORT */
/******************************************************************************\
* End of icache_ufrz.c
\******************************************************************************/

