/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... MCBSP
* FILENAME...... MCBSP_r32.c
* DATE CREATED.. Fri 06/11/1999
* PROJECT....... CSL - Chip Support Library
* COMPONENT.....
* IMPORTS.......
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:  06/11/1999
*   MODIFIED: 01/25/2000  Modification for C54x DSP
*   MODIFIED: 02/23/2000  C54x ROMABILITY.
*   MODIFIED: 06/02/2000  Modification for C55x DSP
*   MODIFIED: 05/16/2001  Modified to insure true RRDY
*   MODIFIED: 06/28/2001  added pragma for section per function
*   MODIFIED: 09/25/2003  Removed rrdy polling from MCBSP_read32()
*------------------------------------------------------------------------------
* DESCRIPTION:  Reads a 32 bit value from the MCBSP DRR1/2
*
*
*
\******************************************************************************/
#define _MCBSP_MOD_

/****************************************\
* include files
\****************************************/

#include <csl_mcbsp.h>

#if (_MCBSP_SUPPORT)
/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

/****************************************\
* MCBSP static macro declarations
\****************************************/


/****************************************\
* MCBSP static typedef declarations
\****************************************/

/****************************************\
* MCBSP static function declarations
\****************************************/

/****************************************\
* MCBSP static variable definitions
\****************************************/



/****************************************\
* MCBSP static function definitions
\****************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* MCBSP global variable definitions
\****************************************/

/****************************************\
* MCBSP global function definitions
\****************************************/

#pragma CODE_SECTION(MCBSP_read32,".text:MCBSP_read32")

/*----------------------------------------------------------------------------*/
/*-----------------------------------------------------------------*/
Uint32 MCBSP_read32(MCBSP_Handle _MCBSP) {
  Uint16 drr2, drr1;
  Uint32 val;
  MCBSP_ASSERT_HANDLE(_MCBSP,return 0xFFFFFFFF);
  drr2 = _PREG_GET(((MCBSP_PrivateObj*)_MCBSP)->Drr2Addr);
  drr1 = _PREG_GET(((MCBSP_PrivateObj*)_MCBSP)->Drr1Addr);
  val = (((Uint32)drr2<<16)&0xFFFF0000 )|(drr1 &0x0000FFFF);
  return val;
}

/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/

#endif /* MCBSP_SUPPORT */
/******************************************************************************\
* End of MCBSP_r32.c
\******************************************************************************/

