/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... MCBSP
* FILENAME...... MCBSP_w32.c
* DATE CREATED.. Wed 05/16/2001
* PROJECT....... Chip Support Library
* COMPONENT..... 
* IMPORTS....... 
*------------------------------------------------------------------------------
* HISTORY:
*   MODIFIED: 06/28/2001 added pragma for section per function
*   MODIFIED: 09/25/2003 Removed xrdy polling from MCBSP_write32().
*------------------------------------------------------------------------------
* DESCRIPTION:  Writes a 32 bit value to the MCBSP DRR1/2
*
*
*
\******************************************************************************/
#define _MCBSP_MOD_

/****************************************\
* include files
\****************************************/

#include <csl_mcbsp.h>    

#if (_MCBSP_SUPPORT)
/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

/****************************************\
* MCBSP static macro declarations
\****************************************/


/****************************************\
* MCBSP static typedef declarations
\****************************************/

/****************************************\
* MCBSP static function declarations
\****************************************/

/****************************************\
* MCBSP static variable definitions       
\****************************************/
 
 
  
/****************************************\
* MCBSP static function definitions
\****************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* MCBSP global variable definitions
\****************************************/

/****************************************\
* MCBSP global function definitions
\****************************************/

#pragma CODE_SECTION(MCBSP_write32,".text:MCBSP_write32")

/*----------------------------------------------------------------------------*/
/*-----------------------------------------------------------------*/
void MCBSP_write32(MCBSP_Handle _MCBSP,Uint32 Val) {
  MCBSP_ASSERT_HANDLE(_MCBSP,return);
  _PREG_SET((((MCBSP_PrivateObj*)_MCBSP)->Dxr2Addr),(Val>>16));
  _PREG_SET((((MCBSP_PrivateObj*)_MCBSP)->Dxr1Addr),(Val&0x0000FFFF));
}                            
/*----------------------------------------------------------------------------*/

/*----------------------------------------------------------------------------*/

#endif /* MCBSP_SUPPORT */
/******************************************************************************\
* End of MCBSP_w32.c
\******************************************************************************/

