/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... TIMER
* FILENAME...... tim_cfgB.c
* DATE CREATED.. Sun 06/20/1999 
* PROJECT....... Chip Support Library
* COMPONENT..... 
* IMPORTS....... 
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:  06/20/1999 Created for C6x
*   MODIFIED: 12/06/2000 Modification for C54x .
*   MODIFIED: 02/18/2000 C54x Romability ( All static variable were removed) .
*   MODIFIED: 05/30/2000 Created for C55x .
*   MODIFIED: 06/28/2001 aded pragma for section per function
*------------------------------------------------------------------------------
* DESCRIPTION:  (body file for the TIMER module)
*
*
*
\******************************************************************************/
#define _TIMER_MOD_

/****************************************\
* include files
\****************************************/    

#include <csl_chiphal.h>

   

#if (_TIMER_SUPPORT)

#include <csl_timer.h>

/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

/****************************************\
* TIMER static macro declarations
\****************************************/
/* See timer.h Romability */
 
/****************************************\
* TIMER static typedef declarations
\****************************************/

/****************************************\
* TIMER static function declarations
\****************************************/

/****************************************\
* TIMER Variable definitions : ROMability 
\****************************************/

/* Definition Romability See timer.h */


             
/****************************************\
* TIMER static function definitions
\****************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* TIMER global variable definitions
\****************************************/
/* Definition See timer.h */
/*----------------------------------------------------------------------------*/
/* DSP/BIOS symbols that CSL needs to check to see what if any timer devices  */
/* are in use by BIOS. These symbols will e defined in the BIOS linker        */
/* command file generated by gconf.                                           */
/* See C6xx */
             
/****************************************\
* TIMER global function definitions
\****************************************/

#pragma CODE_SECTION(TIMER_configArgs,".text:TIMER_configArgs")

/*----------------------------------------------------------------------------*/
void TIMER_configArgs(TIMER_Handle hTimer, Uint16 tcr, Uint16 prd, Uint16 prsc) {
  int oldgie;
  TIMER_ASSERT_HANDLE(hTimer,return);
  oldgie = IRQ_globalDisable(); 
  

  PREG16(((TIMER_PrivateObj*)hTimer)->TcrAddr) = 0x0010;
  PREG16(((TIMER_PrivateObj*)hTimer)->PrdAddr) = prd;
  PREG16(((TIMER_PrivateObj*)hTimer)->PrscAddr) = prsc;
  TIMER_FSETH(hTimer,TCR,TLB,1);
  PREG16(((TIMER_PrivateObj*)hTimer)->TcrAddr) = tcr | 0x0010;   
  TIMER_FSETH(hTimer,TCR,TLB,0);

  
  IRQ_globalRestore(oldgie); 
}

/*----------------------------------------------------------------------------*/

#endif /* TIMER_SUPPORT */
/******************************************************************************\
* End of tim_cfgb.c
\******************************************************************************/

