/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... TIMER
* FILENAME...... tim_close.c
* DATE CREATED.. Sun 06/20/1999 
* PROJECT....... Chip Support Library
* COMPONENT..... 
* IMPORTS....... 
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:  06/20/1999 
*   MODIFIED: 12/06/2000 Modification for C54x .
*   MODIFIED: 02/18/2000 C54x Romability ( All static variable were removed) .
*   MODIFIED: 05/30/2000 Created for C55x .
*   MODIFIED: 06/28/2001 updated for new CSL initialization model &
*                        pragma for individual code section/per function
*------------------------------------------------------------------------------
* DESCRIPTION:  (body file for the TIMER module)
*
*
*
\******************************************************************************/
#define _TIMER_MOD_

/****************************************\
* include files
\****************************************/    

#include <csl_chiphal.h>   
 
#if (_TIMER_SUPPORT)

#include <csl_timer.h>

/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

/****************************************\
* TIMER static macro declarations
\****************************************/
/* See timer.h Romability */

#define ALLOCATED(hTimer) (((TIMER_PrivateObj *)hTimer)->Allocated)
#define EVENTID(hTimer)   (((TIMER_PrivateObj*)hTimer)->EventId)  
#define TCR(hTimer) PREG16(((TIMER_PrivateObj*)hTimer)->TcrAddr)
#define PRD(hTimer) PREG16(((TIMER_PrivateObj*)hTimer)->PrdAddr)
#define TIM(hTimer) PREG16(((TIMER_PrivateObj*)hTimer)->TimAddr) 
#define PRSC(hTimer) PREG16(((TIMER_PrivateObj*)hTimer)->PrscAddr) 
 
 
/****************************************\
* TIMER static typedef declarations
\****************************************/

/****************************************\
* TIMER static function declarations
\****************************************/

/****************************************\
* TIMER Variable definitions : ROMability 
\****************************************/

/* Definition Romability See timer.h */


             
/****************************************\
* TIMER static function definitions
\****************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* TIMER global variable definitions
\****************************************/
/* Definition See timer.h */
/*----------------------------------------------------------------------------*/
/* DSP/BIOS symbols that CSL needs to check to see what if any timer devices  */
/* are in use by BIOS. These symbols will e defined in the BIOS linker        */
/* command file generated by gconf.                                           */
/* See C6xx */
             
/****************************************\
* TIMER global function definitions
\****************************************/
#pragma CODE_SECTION(TIMER_close,".text:TIMER_close")

/*----------------------------------------------------------------------------*/
void TIMER_close(TIMER_Handle hTimer) {
  int oldgie;
  TIMER_ASSERT_HANDLE(hTimer,return);
    oldgie = IRQ_globalDisable(); 


  CSL_SYS_DATA.TimerAllocMask &= (~(1u<<((TIMER_PrivateObj*)hTimer)->Timer));   
  TIMER_reset(hTimer);
  IRQ_globalRestore(oldgie);

}
/*----------------------------------------------------------------------------*/

#endif /* TIMER_SUPPORT */
/******************************************************************************\
* End of tim_close.c
\******************************************************************************/

