/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... TIMER
* FILENAME...... tim_gcfg.c
* DATE CREATED.. Thu 05/10/2001 
* PROJECT....... CSL - Chip Support Library
* COMPONENT..... 
* IMPORTS....... 
*------------------------------------------------------------------------------
* HISTORY:
*    CREATED:   05/10/2001
*------------------------------------------------------------------------------
* DESCRIPTION:  (body file for the TIMER module)
*
*
*
\******************************************************************************/
#define _TIMER_MOD_

/****************************************\
* include files
\****************************************/    

#include <csl_chiphal.h>

#if (_TIMER_SUPPORT)

     
#include <csl_timer.h>
   
/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

/****************************************\
* TIMER static macro declarations
\****************************************/
/* See timer.h Romability */
 
/****************************************\
* TIMER static typedef declarations
\****************************************/

/****************************************\
* TIMER static function declarations
\****************************************/

/****************************************\
* TIMER Variable definitions : ROMability 
\****************************************/

/* Definition Romability See timer.h */


             
/****************************************\
* TIMER static function definitions
\****************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* TIMER global variable definitions
\****************************************/
/* Definition See timer.h */
/*----------------------------------------------------------------------------*/
/* DSP/BIOS symbols that CSL needs to check to see what if any timer devices  */
/* are in use by BIOS. These symbols will e defined in the BIOS linker        */
/* command file generated by gconf.                                           */
/* See C6xx */
             
/****************************************\
* TIMER global function definitions
\****************************************/

#pragma CODE_SECTION(TIMER_getConfig,".text:TIMER_getConfig")

/*----------------------------------------------------------------------------*/
void TIMER_getConfig(TIMER_Handle hTimer, TIMER_Config *Config) {
  int oldgie;
  TIMER_ASSERT_HANDLE(hTimer,return);

    oldgie = IRQ_globalDisable();  
 
  Config->tcr = PREG16(((TIMER_PrivateObj*)hTimer)->TcrAddr);  
  Config->prd = PREG16(((TIMER_PrivateObj*)hTimer)->PrdAddr);
  Config->prsc = PREG16(((TIMER_PrivateObj*)hTimer)->PrscAddr);
 
  IRQ_globalRestore(oldgie); 
 
}
/*----------------------------------------------------------------------------*/

#endif /* TIMER_SUPPORT */
/******************************************************************************\
* End of tim_gcfg.c
\******************************************************************************/

