/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... TIMER
* FILENAME...... tim_start.c
* DATE CREATED.. Sun 06/20/1999 
* PROJECT....... Chip Support Library
* COMPONENT..... 
* IMPORTS....... 
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:  06/20/1999 
*   MODIFIED: 12/06/2000 Modification for C54x .
*   MODIFIED: 02/18/2000 C54x Romability ( All static variable were removed) .
*   MODIFIED: 05/30/2000 Created for C55x .
*   MODIFIED: 06/28/2001 added pragma for section per function
*------------------------------------------------------------------------------
* DESCRIPTION:  (Starts Timer Operation - assumes timer is preconfigured)
*
*
*
\******************************************************************************/
#define _TIMER_MOD_

/****************************************\
* include files
\****************************************/    


#include <csl_chiphal.h>   

#if (_TIMER_SUPPORT)

#include <csl_timer.h>

/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

/****************************************\
* TIMER static macro declarations
\****************************************/
/* See timer.h Romability */
 
 
/****************************************\
* TIMER static typedef declarations
\****************************************/

/****************************************\
* TIMER static function declarations
\****************************************/

/****************************************\
* TIMER Variable definitions : ROMability 
\****************************************/

/* Definition Romability See timer.h */


             
/****************************************\
* TIMER static function definitions
\****************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* TIMER global variable definitions
\****************************************/
/* Definition See timer.h */
/*----------------------------------------------------------------------------*/
/* DSP/BIOS symbols that CSL needs to check to see what if any timer devices  */
/* are in use by BIOS. These symbols will e defined in the BIOS linker        */
/* command file generated by gconf.                                           */
             
/****************************************\
* TIMER global function definitions
\****************************************/

#pragma CODE_SECTION(TIMER_start,".text:TIMER_start")

/*----------------------------------------------------------------------------*/
void TIMER_start(TIMER_Handle hTimer) {
  int oldgie;
  Uint16 old_tcr;

  oldgie = IRQ_globalDisable(); 
    
      /* stop timer */  
  old_tcr = _PREG_GET(((TIMER_PrivateObj*)(hTimer))->TcrAddr);
  _PREG_SET(((TIMER_PrivateObj*)(hTimer))->TcrAddr, (old_tcr & (_TIMER_TCR_TLB_CLR & _TIMER_TCR_TSS_CLR)));
  IRQ_globalRestore(oldgie);

}
/*----------------------------------------------------------------------------*/

#endif /* TIMER_SUPPORT */
/******************************************************************************\
* End of tim_start.c
\******************************************************************************/

