/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... TIMER
* FILENAME...... tim_tinout.c
* DATE CREATED.. Sun 05/29/2000 
* PROJECT....... Chip Support Library
* COMPONENT..... 
* IMPORTS....... 
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:  05/29/2000 
*   MODIFIED: 06/28/2001 added pragma for section per function
*   MODIFIED: 08/13/2002 fixed register access problem
*------------------------------------------------------------------------------
* DESCRIPTION:  (body file for the TIMER module)
*
*
*
\******************************************************************************/
#define _TIMER_MOD_

/****************************************\
* include files
\****************************************/    
#include <csl_chiphal.h>

#if (_TIMER_SUPPORT)

#include <csl_timer.h>
   
/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

/****************************************\
* TIMER static macro declarations
\****************************************/
/* See timer.h Romability */

#define ALLOCATED(hTimer) (((TIMER_PrivateObj *)hTimer)->Allocated)
#define EVENTID(hTimer)   (((TIMER_PrivateObj*)hTimer)->EventId)  
#define TCR(hTimer)       PREG16(((TIMER_PrivateObj*)hTimer)->TcrAddr)
#define PRD(hTimer)       PREG16(((TIMER_PrivateObj*)hTimer)->PrdAddr)
#define TIM(hTimer)       PREG16(((TIMER_PrivateObj*)hTimer)->TimAddr) 
#define PRSC(hTimer)      PREG16(((TIMER_PrivateObj*)hTimer)->PrscAddr)  
 
/****************************************\
* TIMER static typedef declarations
\****************************************/

/****************************************\
* TIMER static function declarations
\****************************************/

/****************************************\
* TIMER Variable definitions : ROMability 
\****************************************/

/* Definition Romability See timer.h */


             
/****************************************\
* TIMER static function definitions
\****************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* TIMER global variable definitions
\****************************************/
/* Definition See timer.h */
/*----------------------------------------------------------------------------*/
/* DSP/BIOS symbols that CSL needs to check to see what if any timer devices  */
/* are in use by BIOS. These symbols will e defined in the BIOS linker        */
/* command file generated by gconf.                                           */
/* See C6xx */
             
/****************************************\
* TIMER global function definitions
\****************************************/

#pragma CODE_SECTION(TIMER_tintoutCfg,".text:TIMER_tintoutCfg")

/*----------------------------------------------------------------------------*/
void TIMER_tintoutCfg(TIMER_Handle hTimer, Uint16 idleen, Uint16 func, Uint16 pwid, Uint16 cp, Uint16 polar) {
  Uint16 tcrMask = TIMER_TCR_RMK(
                     idleen,
                     func,
                     0,             /* TLB    */
                     0,             /* SOFT   */
                     0,             /* FREE   */
                     pwid,          /* PWID   */
                     0,             /* ARB    */
                     0,             /* TSS    */
                     cp,            /* CP     */
                     polar,         /* POLAR  */
                     0);            /* DATOUT */
 
  int oldgie;

  oldgie = IRQ_globalDisable();

     PREG16(((TIMER_PrivateObj*)hTimer)->TcrAddr) |= 0x0010;
     PREG16(((TIMER_PrivateObj*)hTimer)->TcrAddr) |= tcrMask;

  IRQ_globalRestore(oldgie);
      
}


/*----------------------------------------------------------------------------*/

#endif /* TIMER_SUPPORT */
/******************************************************************************\
* End of tim_tinout.c
\******************************************************************************/

