/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... WDTIM
* FILENAME...... wdtim_cgpB.c
* DATE CREATED.. Sun 02/10/2002 
* PROJECT....... Chip Support Library
* COMPONENT..... 
* IMPORTS....... 
*------------------------------------------------------------------------------
* HISTORY:
*   CREATED:  02/10/2002 Created for C6x
*------------------------------------------------------------------------------
* DESCRIPTION:  (body file for the 5502 General Purpose Timer module)
*
*
*
\******************************************************************************/
#define _WDTIM_MOD_

/****************************************\
* include files
\****************************************/    

#include <csl_wdtim.h>
   

#if (_WDTIMB_SUPPORT)
/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* GPT global variable definitions
\****************************************/
/* Definition See csl_wdtim.h */
/*----------------------------------------------------------------------------*/
/* DSP/BIOS symbols that CSL needs to check to see what if any timer devices  */
/* are in use by BIOS. These symbols will e defined in the BIOS linker        */
/* command file generated by gconf.                                           */
/* See C6xx */
             
/****************************************\
* GPT global function definitions
\****************************************/

#pragma CODE_SECTION(WDTIM_configArgs,".text:WDTIM_configArgs")

/*----------------------------------------------------------------------------*/
void WDTIM_configArgs(WDTIM_Handle hWdt, Uint16 wdtemu, 
            Uint16 wdtprd1,Uint16 wdtprd2,Uint16 wdtprd3,Uint16 wdtprd4,
            Uint16 wdtgpint,Uint16 wdtgpen,Uint16 wdtgpdir,Uint16 wdtgpdat,
            Uint16 wdtctl1,Uint16 wdtctl2,Uint16 wdtgctl1,
            Uint16 wdtwctl1, Uint16 wdtwctl2){
  int oldgie;
  Uint16 tcr2_val = wdtwctl2 & (_WDTIM_WDTWCTL2_WDKEY_CLR);
  Uint16 tcr1_val = wdtwctl1 & _WDTIM_WDTWCTL1_WDEN_CLR;
  
  ioport WDTIM_RegObj *regPtr =((CSL_WdtimDataObj *)(hWdt))->regs;

  oldgie = IRQ_globalDisable(); 


   (regPtr->wdtgctl1) = 0x0000u;
   (regPtr->wdtemu)   = wdtemu;
   (regPtr->wdtgpint) = wdtgpint;
   (regPtr->wdtgpen) = wdtgpen;
   (regPtr->wdtgpdir) = wdtgpdir;
   (regPtr->wdtgpdat) = wdtgpdat;
   (regPtr->wdtprd1) = wdtprd1;
   (regPtr->wdtprd2) = wdtprd2;
   (regPtr->wdtprd3) = wdtprd3;
   (regPtr->wdtprd4) = wdtprd4;
   (regPtr->wdtctl1) = wdtctl1;
   (regPtr->wdtctl2) = wdtctl2;
   (regPtr->wdtgctl1) = wdtgctl1;  
   (regPtr->wdtwctl1) = tcr1_val;  
   (regPtr->wdtwctl2) = tcr2_val;  

  
  IRQ_globalRestore(oldgie); 
}

/*----------------------------------------------------------------------------*/

#endif /* GPT_SUPPORT */
/******************************************************************************\
* End of wdtim_cfgb.c
\******************************************************************************/

