/******************************************************************************\
*           Copyright (C) 1999 Texas Instruments Incorporated.
*                           All Rights Reserved
*------------------------------------------------------------------------------
* MODULE.NAME... WDT
* FILENAME...... wdtimB_gcfg.c
* DATE CREATED.. Sun 02/10/2002
* PROJECT....... CSL - Chip Support Library
* COMPONENT..... 
* IMPORTS....... 
*------------------------------------------------------------------------------
* HISTORY:
*    CREATED:   02/10/2002
*------------------------------------------------------------------------------
* DESCRIPTION:  (body file for the 5502 General Purpose Timer module)
*
*
*
\******************************************************************************/
#define _WDTIM_MOD_

/****************************************\
* include files
\****************************************/    
#include <_csl.h>      
#include <csl_chiphal.h>
   
 
#if (_WDTIMB_SUPPORT)

#include <csl_wdtim.h>

/******************************************************************************\
*                         L O C A L   S E C T I O N
\******************************************************************************/

             
/****************************************\
* WDT static function definitions
\****************************************/

/*----------------------------------------------------------------------------*/

/******************************************************************************\
*                        G L O B A L   S E C T I O N
\******************************************************************************/

/****************************************\
* WDT global variable definitions
\****************************************/
/* Definition See WDT.h */
/*----------------------------------------------------------------------------*/
/* DSP/BIOS symbols that CSL needs to check to see what if any timer devices  */
/* are in use by BIOS. These symbols will be defined in the BIOS linker        */
/* command file generated by gconf.                                           */
/* See C6xx */
             
/****************************************\
* WDT global function definitions
\****************************************/

#pragma CODE_SECTION(WDTIM_getConfig,".text:WDTIM_getConfig")

/*----------------------------------------------------------------------------*/
void WDTIM_getConfig(WDTIM_Handle hWdt, WDTIM_Config *Config) {
  int oldgie;
  ioport WDTIM_RegObj *regPtr =((CSL_WdtimDataObj *)(hWdt))->regs;

    oldgie = IRQ_globalDisable();  
  
  Config->wdtemu  = (regPtr->wdtemu);
  Config->wdtgpint = (regPtr->wdtgpint);
  Config->wdtgpen = (regPtr->wdtgpen);
  Config->wdtgpdir = (regPtr->wdtgpdir);
  Config->wdtgpdat = (regPtr->wdtgpdat);
  Config->wdtprd1 = (regPtr->wdtprd1);
  Config->wdtprd2 = (regPtr->wdtprd2);
  Config->wdtprd3 = (regPtr->wdtprd3);
  Config->wdtprd4 = (regPtr->wdtprd4);
  Config->wdtctl1 = (regPtr->wdtctl1);
  Config->wdtctl2 = (regPtr->wdtctl2);
  Config->wdtgctl1 = (regPtr->wdtgctl1); 
  Config->wdtwctl1 = (regPtr->wdtwctl1);
  Config->wdtwctl2 = (regPtr->wdtwctl2);

  IRQ_globalRestore(oldgie); 
 
}
/*----------------------------------------------------------------------------*/

#endif /* WDTIMB_SUPPORT */
/******************************************************************************\
* End of wdt_gcfg.c
\******************************************************************************/

